Modify

Opened 16 months ago

Closed 11 months ago

Last modified 11 months ago

#20434 closed enhancement (fixed)

Convert building:roof:shape to roof:shape [PATCH]

Reported by: mkoniecz Owned by: team
Priority: normal Milestone: 21.06
Component: Core validator Version:
Keywords: template_report Cc: Klumbumbus

Description

What steps will reproduce the problem?

  1. Create area with building:roof:shape
  2. Run validator

What is the expected result?

Autofix request into roof:shape

What happens instead?

Nothing

Please provide any additional information below. Attach a screenshot if possible.

Wiki page: https://wiki.openstreetmap.org/wiki/Key:building:roof:shape

discussion on tagging: https://lists.openstreetmap.org/pipermail/tagging/2021-January/thread.html#58944 ( https://lists.openstreetmap.org/pipermail/tagging/2021-January/058944.html )

it is used 98k times, roof:shape is used 3348k times.

equivalent iD ticket: https://github.com/openstreetmap/id-tagging-schema/issues/117

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-01-09 17:11:18 +0100 (Sat, 09 Jan 2021)
Revision:17451
Build-Date:2021-01-10 02:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (17451 en_GB) Linux Ubuntu 20.04.1 LTS
Memory Usage: 318 MB / 976 MB (182 MB allocated, but free)
Java version: 11.0.9.1+1-Ubuntu-0ubuntu1.20.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→16×16, 32×32→32×32
Desktop environment: LXQt
Java package: openjdk-11-jre:amd64-11.0.9.1+1-0ubuntu1~20.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
Environment variable LANG: en_GB.UTF-8
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:-
Dataset consistency test: No problems found

Plugins:
+ reverter (35640)
+ todo (30306)

Attachments (0)

Change History (9)

comment:1 Changed 15 months ago by mkoniecz

  • resources/data/validator/deprecated.mapcss

    From 17d263dc20f1f1877b4133053e9972a2e2ece0da Mon Sep 17 00:00:00 2001
    From: Mateusz Konieczny <matkoniecz@gmail.com>
    Date: Wed, 17 Feb 2021 09:16:48 +0100
    Subject: [PATCH] building:roof:shape -> roof:shape #12205
    
    ---
     resources/data/validator/deprecated.mapcss | 7 +++++++
     resources/data/validator/ignoretags.cfg    | 1 +
     2 files changed, 8 insertions(+)
    
    diff --git a/resources/data/validator/deprecated.mapcss b/resources/data/validator/deprecated.mapcss
    index e5420bad8..d729084e1 100644
    a b way[bicycle:oneway] { 
    20342034  fixChangeKey: "building:min_height => min_height";
    20352035  group: tr("deprecated tagging");
    20362036}
     2037/* #12205 */
     2038*[building:roof:shape] {
     2039  throwWarning: tr("{0} is deprecated", "{0.tag}");
     2040  suggestAlternative: "roof:shape";
     2041  group: tr("deprecated tagging");
     2042  fixChangeKey: "building:roof:shape => roof:shape";
     2043}
    20372044
    20382045/* #11232 */
    20392046way[highway][construction=yes][highway!=construction] {
  • resources/data/validator/ignoretags.cfg

    diff --git a/resources/data/validator/ignoretags.cfg b/resources/data/validator/ignoretags.cfg
    index 1ffc7a33f..c4f99241d 100644
    a b E:kp 
    703703E:pk
    704704K:amenity=embassy
    705705K:shoulder=none
     706E:building:roof:shape
    706707;
    707708; Tags not yet decided (to remove from this section when added or moved up when deprecated)
    708709; see josm tickets: 17770 15309 15774 16315 16658 16793
Last edited 13 months ago by simon04 (previous) (diff)

comment:2 Changed 15 months ago by mkoniecz

Summary: Convert building:roof:shape to roof:shapeConvert building:roof:shape to roof:shape [PATCH]

comment:3 Changed 13 months ago by simon04

Cc: Klumbumbus added

comment:4 Changed 11 months ago by skyper

Ping

comment:5 Changed 11 months ago by Klumbumbus

Resolution: fixed
Status: newclosed

In 17942/josm:

fix #20434 - Deprecate building:roof:shape in favor of roof:shape (patch by mkoniecz)

comment:6 Changed 11 months ago by Klumbumbus

(From your patch I fixed the ticket number in the comment an changed {0.tag} to {0.key}.)

comment:7 Changed 11 months ago by Klumbumbus

Milestone: 21.06

comment:8 Changed 11 months ago by mkoniecz

Thanks!

comment:9 in reply to:  3 Changed 11 months ago by anonymous

Replying to simon04:

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.